%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           radiotray
Version:        0.7.3
Release:        12%{?dist}
Summary:        Radio Tray is a streaming player for listening to online radios
BuildArch:      noarch
Group:          Applications/Multimedia
License:        GPL+
URL:            http://radiotray.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         radiotray_fix_docdir.patch

# Explicit dependencies required because there is no automatic dependencies
# resolution for the python modules.
Requires:       python2-pyxdg python2-gstreamer pygtk2 python2-lxml python2-notify
BuildRequires:  python2-devel python2-pyxdg desktop-file-utils gettext

%description
Radio Tray is an online radio streaming player that runs on a Linux system
tray. Its goal is to have the minimum interface possible, making it very
straightforward to use. Radio Tray is not a full featured music player,
there are plenty of excellent music players already. However, there was a
need for a simple application with minimal interface just to listen to online
radios. And that's the sole purpose of Radio Tray.

%prep
%setup -q
%patch0 -p1

# Remove unnecessary shebang
sed -i -e '/^#!\//, 1d' src/radiotray.py

%build
%py2_build

%install
rm -rf $RPM_BUILD_ROOT
%py2_install
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/radiotray.desktop
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS CONTRIBUTORS COPYING NEWS README
%{_bindir}/radiotray
%{_datadir}/radiotray/
%{_datadir}/applications/radiotray.desktop
%{_datadir}/pixmaps/radiotray.png
%{python2_sitelib}/radiotray/
%{python2_sitelib}/radiotray-0.?.?-py?.?.egg-info

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 14 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.7.3-11
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Nov 13 2015 Thomas Spura <tomspur@fedoraproject.org> - 0.7.3-5
- Fix notify requires (#1199438)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Aug 06 2013 Jean-Francois Saucier <jsaucier@gmail.com> - 0.7.3-2
- Fix for the docdir change in F20

* Tue Aug 06 2013 Jean-Francois Saucier <jsaucier@gmail.com> - 0.7.3-1
- Update to new upstream version

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 15 2011 Jean-Francois Saucier <jsaucier@gmail.com> - 0.7.1-1
- Update to new upstream version

* Tue Aug 30 2011 Jean-Francois Saucier <jsaucier@gmail.com> - 0.6.4-1
- Update to new upstream version

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 24 2011 Jean-Francois Saucier <jsaucier@gmail.com> - 0.6.3-1
- Update to new upstream version

* Tue Sep 21 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.6.1-1
- Update to new upstream version

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jul  8 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.6-1
- Update to new upstream version

* Tue May 25 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.5.1-3
- Change license to match COPYING
- Add comments to SPEC file
- Add comment for the explicit dependencies

* Fri May  7 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.5.1-2
- Fix as per the recommendations of bug #583102
- Change the python_sitelib definition to the new way of doing it for >F-12
- Add build CFLAGS
- Use the __python macro
- Make some modifications to help not break when python version change

* Wed Apr 14 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.5.1-1
- Initial build for Fedora
